Associate application to repository
/api/v1/org/{orgId}/repos/apps Replace Repository Applications
Creates the given apps and then adds them to the specified repos.
Usage: Only the id parameters are required for this request. All other fields are ignored.
orgIdrepoIdappInfos.[*].name- one entry for the name of each app you want to create.
Note that the other fields in appInfos are read-only for this request, and will be ignored.
🧾 Audited This is recorded as
APPLICATIONS_ADDED_FOR_REPOSUser Activity.
Requires
write:applicationpermission.
Path parameters
orgIdstring · uuidrequiredUUID identifier for this StackHawk Organization.
Body
The list of repository to application mappings to set for a repository.
The organization to map an an existing application to an existing repository in.
Response
OK
The list of updated repository to application mappings.
The organization id where repository to application mappings were updated.
The list of updated repository to application mappings.
The organization id where repository to application mappings were updated.
Bad Request
Unauthorized